> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Financials Recent

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/financials/recent

Get most recent company financial data from SEC EDGAR.

Defaults to most recent available year (2024 or 2023).

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-financials-recent

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

- `entity_id` (string, required)
- `assets` (double, optional, nullable)
- `data_sources` (list of string, optional)
- `filing_date` (string, optional, nullable)
- `fiscal_year` (integer, optional, nullable)
- `inferred_revenue` (string, optional, nullable)
- `liabilities` (double, optional, nullable)
- `net_income` (double, optional, nullable)
- `revenue` (double, optional, nullable)
- `source` (string, optional, default: sec_edgar)

## Errors

### 404 Not Found Error

Company not found or no financial data available

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "assets": null,
  "data_sources": [
    "enrichment"
  ],
  "filing_date": null,
  "fiscal_year": 2025,
  "inferred_revenue": "$1B-$10B",
  "liabilities": null,
  "net_income": null,
  "revenue": 4200000000,
  "source": "income_statement"
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/financials/recent",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/financials/recent`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```